<?php
$target='nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");
//include("conexion/conex.php");

$programa='planilla_por_archivo.php';
$nombrepagina = "BUSCAR ARCHIVO CSV";
$v_mysql=conn_mysql();
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;

if (file_exists('Plano_GuiasSinActualizar.csv')){
	unlink('Plano_GuiasSinActualizar.csv');
}

if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
}

	   ?>
  <center>
  <FORM action="" method="POST" enctype="multipart/form-data">
  <table>
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">Cargar Archivo Plano</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Archivo: </td>
    <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Separador: </td>
	<td class="miTable_td"><div align="left">
	<select name="separador" class="inputbox">
	 <option value=";" selected="selected">;  (Punto y Coma)</option>
	 <option value=",">,  (Coma)</option>	
	</select>
	</div></td>
   </tr>
   
   <tr class="miTable_tr">
    <td class="miTable_td">Ejemplo: </td>
	<td class="miTable_td"><div align="left">
	Guia;Mensajero
        <br>
        68262302;CM001
        <br>
        68262303;CM002
	</div></td>
   </tr>
      
   
   <tr class="miTable_tr">
    <td class="miTable_td">&nbsp;</td>
    <td class="miTable_td"><div align="left"><input type="submit" id="btplano" name="btplano" value="Cargar Archivo" class="inputbox" onClick="validarforma('archivo','','R');return document.MM_returnValue" class="inputbox"></div></td>
   </tr>   
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
  </table>
  </FORM>
  </center>

 <?php
 function ConsMensajero($id_mensajero,$v_mysql){
 	$sql="select id_mensajero from mensajeros where identificacion=trim('$id_mensajero')";
 	$rs=mysql_query($sql,$v_mysql) or die("Error MySql: ".mysql_error());
 	$cnt=mysql_num_rows($rs);
 	if($cnt>0){
 		$MyArr=@mysql_fetch_array($rs);
 		$mensajero=$MyArr[0];
 	}else{
 		$mensajero='';
 	}
 	return $mensajero;
 }

 
 function ConsPlanilla($id_mensajero,$v_mysql){
	$sql="select id_planilla from planillas where fecha_planilla=date(now()) and id_mensajero=$id_mensajero";
	$rs=mysql_query($sql,$v_mysql);	
	$cnt=mysql_num_rows($rs);
	if($cnt>0){
	$MyArr=@mysql_fetch_array($rs);          
    $id_pla=$MyArr[0];	
	}else {
		$id_pla='0';	
	}	
	return $id_pla;
}



 if (isset($btplano)){
 	$conexionObj = new conexion();
 	$conexionObj->conectarse();
 	$nombre_archivo=$HTTP_POST_FILES['archivo']['name'];
 	$tipo_archivo=$HTTP_POST_FILES['archivo']['type'];
 	$tamano_archivo=$HTTP_POST_FILES['archivo']['size'];
 	$tmp_archivo=$HTTP_POST_FILES['archivo']['tmp_name'];


 	if (!strpos(strtolower($nombre_archivo),'csv')){
 		echo "<b><center> No se puede continuar, el archivo seleccionado no es CSV.</center></b>";
 		exit();
 	}
 	$cnt=0;
 	$row = 1;
 	$cntreg = 0;
 	$conspl='';
 	$handle = fopen ($tmp_archivo,"r");
 	while ($data = fgetcsv ($handle, 2048, $separador)) {
 		$cnt++;
 		$num = count ($data);
 		if ($cnt>1){
 			for ($c=0; $c <= 1; $c++ ) {
// 				//print $c . "<br> ";
 				if($c==0){$nguia=$data[$c];}
 				if($c==1){$ncodigo=$data[$c];}
 				//echo 'Guia'.$data[0].'<br>';
 			}

 			//ECHO $nguia.'<br>';
 			$sql_guia="select guia FROM guias_proceso WHERE GUIA='$nguia' AND (id_estado='12' OR id_estado='19' or id_estado='16' )";
 			$rst_select_guia=mysql_query($sql_guia,$v_mysql) or die("Error Mysql: ".mysql_error()." Linea 107");
 			$filas=mysql_num_rows($rst_select_guia);
 			if($filas>0){
 				//ECHO 'Fila>0'.$nguia.'<br>';
 				$mensajero=ConsMensajero($ncodigo,$v_mysql);
 				if(!empty($mensajero)){
 					$id_pla=ConsPlanilla($mensajero,$v_mysql);
 					if($id_pla=='0'){
 						$rst_crear_planilla=$conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '".$_GET['id_user']."', '0', '".$mensajero."','".$_GET['suc']."',0,0)");
 						$id_pla=ConsultaPlanilla($mensajero,$v_mysql);
 						if (!ereg('$id_pla','$conspl')){
 							$conspl=$conspl.$id_pla.',';
 						}
 					}else if (!ereg('$id_pla','$conspl'))
 					{
 						$conspl=$conspl.$id_pla.',';
 					}
 					$rst_insertar=$conexionObj->modificar("UPDATE guias_proceso SET id_mensajero
 			= '".$mensajero."', id_estado = '13', id_planilla = '$id_pla' WHERE guia =
 			 '".$nguia."' AND id_mensajero = '0' AND id_sucursal = '".$_GET['suc']."' 
 			 AND (id_estado='12' OR id_estado='19' or id_estado='16' )");
 					//if($rst_insertar<=0){echo 'Error MySql: '.mysql_error().' Linea 111.';}
 					$affected_rows = mysql_affected_rows();
 					if ($affected_rows>=1){
 						$conexionObj->consultar("update planillas set cantidad=cantidad+1 where id_planilla=$id_pla");
 						$rst_select=$conexionObj->consultar("UPDATE rastreo_guias SET E13='13', F13 = NOW() WHERE guia='$nguia'");
 						if($rst_select<=0){echo 'Error MySql: '.mysql_error().' Linea 131.';}
 					}
 					$cntreg++;
 				}else{
 					$cadena = trim($nguia).';'.trim($ncodigo).' Mensajero no existe'.chr(13).chr(10); 					
 					$archivo = fopen ('Plano_GuiasSinActualizar.csv', "a+");
 					fwrite($archivo, $cadena);
 					fclose($archivo);
 				}
 			}else{
 				$cadena = trim($nguia).' GUIA'.chr(13).chr(10);
 				$archivo = fopen ('Plano_GuiasSinActualizar.csv', "a+");
 				fwrite($archivo, $cadena);
 				fclose($archivo);
 			}
 		}
 	}
 	fclose ($handle);

        $arrinput=explode(",", $conspl);
        $arrconsp=array_unique($arrinput);
        $conspl=implode(',', $arrconsp);
 	$conspl = substr ($conspl, 0, -1);
 	$add="g.id_planilla in ($conspl)";

 	if($cntreg>0){

 $sql_planillas="SELECT g.id_planilla, p.fecha_planilla, p.hora_planilla, u.nombre as usuario,
 count(g.guia) as con_guia, m.nombre as nom_men, p.id_mensajero from guias_proceso as g
 inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
 inner join planillas as p on (g.id_planilla=p.id_planilla and g.id_mensajero=p.id_mensajero)
 left outer join usuarios as u on (p.id_usuario=u.id_usuario)
 where $add  group by g.id_planilla, g.id_mensajero";       

 		$rst_select_lotes=mysql_query($sql_planillas,$v_mysql) or die("Error Mysql: ".mysql_error()." Linea 201");
 		$filas_rep=mysql_num_rows($rst_select_lotes);
 		//echo 'filas'.$filas;
 
                ?>
<CENTER>
<table width="585" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Planillas ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="40">Planilla</td>
<td valign=top class=miTable_th1 width="60">Fecha</td>
<td valign=top class=miTable_th1 width="50">Hora</td>
<td valign=top class=miTable_th1 width="190">Usuario</td>
<td valign=top class=miTable_th1 width="55">Cantidad</td>
<td valign=top class=miTable_th1 width="190">Tecnico</td>
</tr>

<?
while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
	$id_men=$row_select_lotes[6];
	echo "<tr class=miTable_tr>";
	echo "<td valign=top class=miTable_td2><A HREF='ver_planilla.php?id_user=".$_GET['id_user']."&suc=".$_GET['suc']."&planilla=".$row_select_lotes[0]."&tabla=guias_proceso&id_men=$id_men'>".$row_select_lotes[0]."</A></td>";
	echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes[1]."</td>";
	echo "<td valign=top class=miTable_td>".$row_select_lotes[2]."</td>";
	echo "<td valign=top class=miTable_td>".$_SESSION['nombre_usuario']."</td>";
	echo "<td valign=top class=miTable_td>".$row_select_lotes[4]."</td>";
	echo "<td valign=top class=miTable_td>".$row_select_lotes[5]."</td>";
}
echo"</tr>";
echo"</table>";
 	}


 	if (file_exists('Plano_GuiasSinActualizar.csv')){
 		echo"<center><a title='Ver Guias Sin Actualizar.' target='_blank' href='Plano_GuiasSinActualizar.csv'>Ver Guias Sin Actualizar</a> <center>";
 	}
 }

 mostrar_pie();
 echo"</td>";
 echo"</tr>";
 echo"</table>";
 echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
 echo"<tbody><tr>";
 echo"<td></td>";
 echo"</tr>";
 echo"<tr>";
 echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
 echo"</tr>";
 echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
